# PhasicFlow: utilities/particlesPhasicFlow/particlesPhasicFlow.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

particlesPhasicFlow.cpp File Reference
Include dependency graph for particlesPhasicFlow.cpp:

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 32 of file particlesPhasicFlow.cpp.

References pFlow::applySelector(), Control, positionParticles::create(), internalField< T, MemorySpace >::deviceView(), END_ERR, END_REPORT, pFlow::endl(), ERR, fatalErrorInFunction, ForAll, dictionary::globalName(), Green_Text, baseShapeNames::hashes(), pFlow::output, commandLine::parse(), pFlow::pointStructureFile__, pStruct, objectFile::READ_NEVER, REPORT, pFlow::shapeFile__, baseShapeNames::shapeNameList(), baseShapeNames::shapeNames(), baseShapeNames::shapeNameToIndex(), dictionary::subDict(), objectFile::WRITE_ALWAYS, and Yellow_Text.

Here is the call graph for this function: